Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

homebrew_packages (17) Versions 0.4.1

Install and updates homebrew packages defined in attributes.

Berkshelf/Librarian
Policyfile
Knife
cookbook 'homebrew_packages', '~> 0.4.1'
cookbook 'homebrew_packages', '~> 0.4.1', :supermarket
knife cookbook site install homebrew_packages
knife cookbook site download homebrew_packages
README
Dependencies
Quality

Homebrew Packages

Manages homebrew packages through attributes.

Requirements

Platforms

  • mac_os_x

Chef

  • Chef 12.0 or later

Attributes

Determine if failures should be ignored(Default: false):

{
  "homebrew_packages" : {
    "ignore_failure" : true
  }
}

Global install options that will be run with each choco install (Default: [])

{
  "homebrew_packages" : {
    "install_options" : [
      "--debug"
    ]
  }
}

Define packages:

{
  "homebrew_packages" : {
    "packages" : {
      "vim": {
        "action": "8.0.0311"
      },
      "wget": {
        "action": "upgrade"
       },
      "nginx": {
        "action": "install",
        "install_options": [
          "--only-dependencies"
         ]
      },
      "sl": {
        "action": "purge"
      },
      "google-chrome": {
        "action": "upgrade",
        "cask": true
      }
    }
  }
}

The action field follows the same actions as this documentation, it also can take a version number.

Usage

homebrew_packages::default

Just include homebrew_packages in your node's run_list:

{
  "name":"my_node",
  "run_list": [
    "recipe[homebrew_packages]"
  ]
}

Dependent cookbooks

homebrew >= 0.0.0

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

Collaborator Number Metric
            

0.4.1 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

0.4.1 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a CONTRIBUTING.md file

Foodcritic Metric
            

0.4.1 passed this metric

License Metric
            

0.4.1 passed this metric

No Binaries Metric
            

0.4.1 passed this metric

Publish Metric
            

0.4.1 passed this metric

Supported Platforms Metric
            

0.4.1 passed this metric

Testing File Metric
            

0.4.1 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a TESTING.md file

Version Tag Metric
            

0.4.1 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must include a tag that matches this cookbook version number